## org.apache.lucene.xmlparser
Class FilterBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.FilterBuilderFactory

All Implemented Interfaces:
  FilterBuilder

    public class FilterBuilderFactory

extends Object
implements FilterBuilder

Constructor Summary
`FilterBuilderFactory()`

Method Summary
`void` `addBuilder(String nodeName, FilterBuilder builder)`
`org.apache.lucene.search.Filter` `getFilter(Element n)`
`FilterBuilder` `getFilterBuilder(String nodeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterBuilderFactory

    public FilterBuilderFactory()

Method Detail

### getFilter

    public org.apache.lucene.search.Filter getFilter(Element n)
                                              throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(String nodeName,
                           FilterBuilder builder)

### getFilterBuilder

    public FilterBuilder getFilterBuilder(String nodeName)